/lib64/libc.so.6: version `GLIBC_2.27' not found (required by /gcc-linaro-11.3.1-2022.06-x86_64_arm-linux-gnueabihf

I am trying to run coremark@pro bench-marking suit for ARM compilers (example M4, A53).

 EEMBC CoreMark-pro benchmark (available on GitHub which is provided by eembc.org). This Package contains five prevalent integer workloads and four popular floating-point workloads.   

 By default Linux=64 option works well on “Red Hat Enterprise Linux 7” x86_64 existing machines.

 

I tried gcc-arm-10.3-2021.07-x86_64-arm-none-eabi.tar.xz but got stuck with various errors like -lm -lrt -lpthread error / undefined reference. I contacted the EEMBC support team.

 EEMBC Support Team suggested to use  “arm-linux-eabi” instead of arm-none-eabi (not available on ARM page https://developer.arm.com/downloads/-/gnu-a)

 

I have downloaded GNU tool chain version 11.3  “https://snapshots.linaro.org/gnu-toolchain/  but getting the below error. gcc-linaro-11.3.1-2022.06-x86_64_arm-linux-gnueabihf/bin/../lib/gcc/arm-linux-gnueabihf/11.3.1/../../../../arm-linux-gnueabihf/bin/ld: /lib64/libc.so.6: version `GLIBC_2.27' not found (required by gcc-linaro-11.3.1-2022.06-x86_64_arm-linux-gnueabihf/bin/../lib/gcc/arm-linux-gnueabihf/11.3.1/../../../../arm-linux-gnueabihf/bin/ld)

 

I have downloaded “sysroot-glibc-linaro-2.34-2022.06-arm-linux-gnueabihf” from the gnu-tool chain package and changed path but still problem exist.